%global srcname azure-devtools
%global common_description This package contains tools to aid in developing Python-based Azure code.

%global _with_python2 0%{?rhel} || 0%{?fedora} <= 29
%global py2_prefix %{?rhel:python}%{?fedora:python2}
# Some Python 3 libraries required by azure-devtools are not available in EL
%global _with_python3 0%{?fedora}

Name:           python-%{srcname}
Version:        1.0.0
Release:        4%{?dist}
Summary:        Devtools for Azure SDK and CLI for Python

License:        MIT
URL:            https://github.com/Azure/azure-python-devtools
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

%if 0%{?_with_python2}
BuildRequires:  %{py2_prefix}-devel
BuildRequires:  %{py2_prefix}-setuptools
# Needed for tests
BuildRequires:  %{py2_prefix}-configargparse
BuildRequires:  %{py2_prefix}-six
%if 0%{?fedora} <= 27
BuildRequires:  python-vcrpy
%else
BuildRequires:  %{py2_prefix}-vcrpy
%endif
%endif
%if 0%{?_with_python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
# Needed for tests
BuildRequires:  python%{python3_pkgversion}-configargparse
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-vcrpy
%endif
BuildArch:      noarch

%description
%{common_description}


%if 0%{?_with_python2}
%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       %{py2_prefix}-configargparse
Requires:       %{py2_prefix}-six
%if 0%{?fedora} <= 27
Requires:       python-vcrpy
%else
Requires:       %{py2_prefix}-vcrpy
%endif
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{common_description}
%endif


%if 0%{?_with_python3}
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-configargparse
Requires:       python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-vcrpy
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
%{common_description}
%endif


%prep
%autosetup -n azure-python-devtools-%{version}


%build
%if 0%{?_with_python2}
%py2_build
%endif
%if 0%{?_with_python3}
%py3_build
%endif


%install
%if 0%{?_with_python2}
%py2_install
%endif
%if 0%{?_with_python3}
%py3_install
%endif


%check
%if 0%{?_with_python2}
%{__python2} -m unittest discover -s src/
%endif
%if 0%{?_with_python3}
%{__python3} -m unittest discover -s src/
%endif


%if 0%{?_with_python2}
%files -n python2-%{srcname}
%doc README.rst doc/
%license LICENSE
%{python2_sitelib}/azure_devtools/
%{python2_sitelib}/azure_devtools-*.egg-info/
%endif


%if 0%{?_with_python3}
%files -n python%{python3_pkgversion}-%{srcname}
%doc README.rst doc/
%license LICENSE
%{python3_sitelib}/azure_devtools/
%{python3_sitelib}/azure_devtools-*.egg-info/
%endif


%changelog
* Fri Apr 19 2019 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.0-4
- Rebuild

* Wed Nov 21 2018 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.0-3
- Fix dependency on python-vcrpy for Fedora <= 27

* Tue Nov 20 2018 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.0-2
- Don't glob everything under the Python sitelib directory

* Sat Nov 03 2018 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.0-1
- Initial RPM release
